package com.altinity.opsview.odw.model;

/**
 * Copyright (C) 2008 Opsera Limited. All rights reserved
 *
 * This file is part of Opsview
 * 
 * Opsview is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * Opsview is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Opsview; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301  USA
 * 
 */

public class ServiceCheck {
	
	private String name;
	private ComputedColumn computedColumn;
	
	private int id;
	private String description;
	private boolean mostRecent;
	private String hostName;

	/**
	 * 
	 */
	public String getName() {
		return name;
	}

	/**
	 * 
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * 
	 */
	public String toString() {
		return name;
	}

	/**
	 * 
	 */
	public ComputedColumn getComputedColumn() {
		return computedColumn;
	}

	/**
	 * 
	 */
	public void setComputedColumn(ComputedColumn computedColumn) {
		this.computedColumn = computedColumn;
	}

	/**
	 * 
	 */
	public String getDescription() {
		return description;
	}

	/**
	 * 
	 */
	public void setDescription(String description) {
		this.description = description;
	}

	/**
	 * 
	 */
	public int getId() {
		return id;
	}

	/**
	 * 
	 */
	public void setId(int id) {
		this.id = id;
	}

	/**
	 * 
	 */
	public boolean isMostRecent() {
		return mostRecent;
	}

	/**
	 * 
	 */
	public void setMostRecent(boolean mostRecent) {
		this.mostRecent = mostRecent;
	}

	/**
	 * 
	 */
	public String getHostName() {
		return hostName;
	}

	/**
	 * 
	 */
	public void setHostName(String hostName) {
		this.hostName = hostName;
	}
}
