package com.excira.jfreechart;

import java.text.SimpleDateFormat;
import java.util.Date;

public class DateChartData implements Comparable {
	
	private String pattern = "yyyy-MM-dd";
	private Date date;
	
	/**
	 * 
	 */
	public DateChartData(Date date) {
		this.date = date;
	}
	
	/**
	 * 
	 */
	public Date getDate() {
		return date;
	}
	
	/**
	 * 
	 */
	public void setPattern(String pattern) {
		this.pattern = pattern;
	}

	/**
	 * 
	 */
	public int compareTo(Object compareDate) {
		
		return date.compareTo((Date)compareDate);
	}
	
	/**
	 * 
	 */
	public String toString() {
		
		SimpleDateFormat format = new SimpleDateFormat(pattern);
		return format.format(date);
	}
}
